Skip to navigation

Convert flow to tool

Create a flow-type tool from an existing flow, generating its parameters schema from the flow steps.

Authentication

AuthorizationBearer
API key or Clerk session token

Path parameters

flowIdstringRequired

Request

This endpoint expects a map from strings to any.

Response

Created tool
configmap from strings to any or null
createdAtstring
descriptionstring or null
idstring
isActiveboolean
namestring
organizationIdstring or null
toolTypestring
updatedAtstring
userIdstring or null
lastModifiedSourcestring or nullOptional
parametersSchemamap from strings to anyOptional
validationobjectOptional

Non-blocking findings from a successful write. warnings also carries SESSION_PREVIEW_URL when config.url or config.serverUrl is a session sandbox preview URL, which stops working when that sandbox container stops.

Errors

400
Bad Request Error
401
Unauthorized Error
403
Forbidden Error
404
Not Found Error
500
Internal Server Error